/********************************************************************
* Copyright (C) 2003-2008 Texas Instruments Incorporated.
* All Rights Reserved
*********************************************************************
* file: cslr_rd_lte_hdr.h
*
* Brief: This file contains the Register Description for rd_lte_hdr
*
*********************************************************************/
#ifndef _CSLR_BCP_RD_LTE_HDR_H_
#define _CSLR_BCP_RD_LTE_HDR_H_

#include <ti/csl/cslr.h>

#include <ti/csl/tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 WORD0; /* Generic Register description */
    volatile Uint32 WORD1; /* Generic Register description */
    volatile Uint32 WORD2; /* Generic Register description */
    volatile Uint32 WORD3; /* Generic Register description */
    volatile Uint32 WORD4; /* Generic Register description */
    volatile Uint32 WORD5; /* Generic Register description */
    volatile Uint32 WORD6; /* Generic Register description */
    volatile Uint32 WORD7; /* Generic Register description */
} CSL_Rd_lte_hdrRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* Word 0 */

#define CSL_RD_LTE_HDR_WORD0_LOCAL_HDR_LEN_MASK (0x000000FFu)
#define CSL_RD_LTE_HDR_WORD0_LOCAL_HDR_LEN_SHIFT (0x00000000u)
#define CSL_RD_LTE_HDR_WORD0_LOCAL_HDR_LEN_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD0_MOD_ID_MASK (0x00000F00u)
#define CSL_RD_LTE_HDR_WORD0_MOD_ID_SHIFT (0x00000008u)
#define CSL_RD_LTE_HDR_WORD0_MOD_ID_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD0_RSRVD0_MASK (0x0001F000u)
#define CSL_RD_LTE_HDR_WORD0_RSRVD0_SHIFT (0x0000000Cu)
#define CSL_RD_LTE_HDR_WORD0_RSRVD0_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD0_ENABLEHARQINPUT_MASK (0x00020000u)
#define CSL_RD_LTE_HDR_WORD0_ENABLEHARQINPUT_SHIFT (0x00000011u)
#define CSL_RD_LTE_HDR_WORD0_ENABLEHARQINPUT_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD0_ENABLEHARQOUTPUT_MASK (0x00040000u)
#define CSL_RD_LTE_HDR_WORD0_ENABLEHARQOUTPUT_SHIFT (0x00000012u)
#define CSL_RD_LTE_HDR_WORD0_ENABLEHARQOUTPUT_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD0_TURBODECDYNRNG_MASK (0x00080000u)
#define CSL_RD_LTE_HDR_WORD0_TURBODECDYNRNG_SHIFT (0x00000013u)
#define CSL_RD_LTE_HDR_WORD0_TURBODECDYNRNG_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD0_RSRVD1_MASK (0x00F00000u)
#define CSL_RD_LTE_HDR_WORD0_RSRVD1_SHIFT (0x00000014u)
#define CSL_RD_LTE_HDR_WORD0_RSRVD1_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD0_TCP3DSCALEFACTOR_MASK (0x1F000000u)
#define CSL_RD_LTE_HDR_WORD0_TCP3DSCALEFACTOR_SHIFT (0x00000018u)
#define CSL_RD_LTE_HDR_WORD0_TCP3DSCALEFACTOR_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD0_RSRVD2_MASK (0xE0000000u)
#define CSL_RD_LTE_HDR_WORD0_RSRVD2_SHIFT (0x0000001Du)
#define CSL_RD_LTE_HDR_WORD0_RSRVD2_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD0_RESETVAL    (0x00000000u)

/* Word 1 */

#define CSL_RD_LTE_HDR_WORD1_CQIPASSEDTHROUGH_MASK (0x00000001u)
#define CSL_RD_LTE_HDR_WORD1_CQIPASSEDTHROUGH_SHIFT (0x00000000u)
#define CSL_RD_LTE_HDR_WORD1_CQIPASSEDTHROUGH_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD1_RVSTARTCOLUMN_MASK (0x0000007Eu)
#define CSL_RD_LTE_HDR_WORD1_RVSTARTCOLUMN_SHIFT (0x00000001u)
#define CSL_RD_LTE_HDR_WORD1_RVSTARTCOLUMN_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD1_NUMFILLERBITSF_MASK (0x00001F80u)
#define CSL_RD_LTE_HDR_WORD1_NUMFILLERBITSF_SHIFT (0x00000007u)
#define CSL_RD_LTE_HDR_WORD1_NUMFILLERBITSF_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD1_RSRVD0_MASK (0x00006000u)
#define CSL_RD_LTE_HDR_WORD1_RSRVD0_SHIFT (0x0000000Du)
#define CSL_RD_LTE_HDR_WORD1_RSRVD0_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD1_INITCBFLOWID_MASK (0x00038000u)
#define CSL_RD_LTE_HDR_WORD1_INITCBFLOWID_SHIFT (0x0000000Fu)
#define CSL_RD_LTE_HDR_WORD1_INITCBFLOWID_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD1_FLOWIDHI_MASK (0x001C0000u)
#define CSL_RD_LTE_HDR_WORD1_FLOWIDHI_SHIFT (0x00000012u)
#define CSL_RD_LTE_HDR_WORD1_FLOWIDHI_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD1_FLOWIDCQIOFFSET_MASK (0x00E00000u)
#define CSL_RD_LTE_HDR_WORD1_FLOWIDCQIOFFSET_SHIFT (0x00000015u)
#define CSL_RD_LTE_HDR_WORD1_FLOWIDCQIOFFSET_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD1_RSRVD2_MASK (0xFF000000u)
#define CSL_RD_LTE_HDR_WORD1_RSRVD2_SHIFT (0x00000018u)
#define CSL_RD_LTE_HDR_WORD1_RSRVD2_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD1_RESETVAL    (0x00000000u)

/* Word 2 */

#define CSL_RD_LTE_HDR_WORD2_NUMCODEBLOCKSC1_MASK (0x000000FFu)
#define CSL_RD_LTE_HDR_WORD2_NUMCODEBLOCKSC1_SHIFT (0x00000000u)
#define CSL_RD_LTE_HDR_WORD2_NUMCODEBLOCKSC1_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD2_NUMCODEBLOCKSCE1_MASK (0x0000FF00u)
#define CSL_RD_LTE_HDR_WORD2_NUMCODEBLOCKSCE1_SHIFT (0x00000008u)
#define CSL_RD_LTE_HDR_WORD2_NUMCODEBLOCKSCE1_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD2_NUMCODEBLOCKSC2_MASK (0x00FF0000u)
#define CSL_RD_LTE_HDR_WORD2_NUMCODEBLOCKSC2_SHIFT (0x00000010u)
#define CSL_RD_LTE_HDR_WORD2_NUMCODEBLOCKSC2_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD2_NUMCODEBLOCKSCE2_MASK (0xFF000000u)
#define CSL_RD_LTE_HDR_WORD2_NUMCODEBLOCKSCE2_SHIFT (0x00000018u)
#define CSL_RD_LTE_HDR_WORD2_NUMCODEBLOCKSCE2_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD2_RESETVAL    (0x00000000u)

/* Word 3 */

#define CSL_RD_LTE_HDR_WORD3_BLOCKSIZEK1_MASK (0x00003FFFu)
#define CSL_RD_LTE_HDR_WORD3_BLOCKSIZEK1_SHIFT (0x00000000u)
#define CSL_RD_LTE_HDR_WORD3_BLOCKSIZEK1_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD3_RSRVD_MASK  (0x0000C000u)
#define CSL_RD_LTE_HDR_WORD3_RSRVD_SHIFT (0x0000000Eu)
#define CSL_RD_LTE_HDR_WORD3_RSRVD_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD3_BLOCKSIZEE1_MASK (0xFFFF0000u)
#define CSL_RD_LTE_HDR_WORD3_BLOCKSIZEE1_SHIFT (0x00000010u)
#define CSL_RD_LTE_HDR_WORD3_BLOCKSIZEE1_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD3_RESETVAL    (0x00000000u)

/* Word 4 */

#define CSL_RD_LTE_HDR_WORD4_BLOCKSIZEK2_MASK (0x00003FFFu)
#define CSL_RD_LTE_HDR_WORD4_BLOCKSIZEK2_SHIFT (0x00000000u)
#define CSL_RD_LTE_HDR_WORD4_BLOCKSIZEK2_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD4_RSRVD_MASK  (0x0000C000u)
#define CSL_RD_LTE_HDR_WORD4_RSRVD_SHIFT (0x0000000Eu)
#define CSL_RD_LTE_HDR_WORD4_RSRVD_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD4_BLOCKSIZEE2_MASK (0xFFFF0000u)
#define CSL_RD_LTE_HDR_WORD4_BLOCKSIZEE2_SHIFT (0x00000010u)
#define CSL_RD_LTE_HDR_WORD4_BLOCKSIZEE2_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD4_RESETVAL    (0x00000000u)

/* Word 5 */

#define CSL_RD_LTE_HDR_WORD5_BLOCKSIZEOUTQCQI_MASK (0x00003FFFu)
#define CSL_RD_LTE_HDR_WORD5_BLOCKSIZEOUTQCQI_SHIFT (0x00000000u)
#define CSL_RD_LTE_HDR_WORD5_BLOCKSIZEOUTQCQI_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD5_RSRVD_MASK  (0x0000C000u)
#define CSL_RD_LTE_HDR_WORD5_RSRVD_SHIFT (0x0000000Eu)
#define CSL_RD_LTE_HDR_WORD5_RSRVD_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD5_BLOCKSIZEINQCQI_MASK (0xFFFF0000u)
#define CSL_RD_LTE_HDR_WORD5_BLOCKSIZEINQCQI_SHIFT (0x00000010u)
#define CSL_RD_LTE_HDR_WORD5_BLOCKSIZEINQCQI_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD5_RESETVAL    (0x00000000u)

/* Word 6 */

#define CSL_RD_LTE_HDR_WORD6_HARQINPUTADDRESS_MASK (0xFFFFFFFFu)
#define CSL_RD_LTE_HDR_WORD6_HARQINPUTADDRESS_SHIFT (0x00000000u)
#define CSL_RD_LTE_HDR_WORD6_HARQINPUTADDRESS_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD6_RESETVAL    (0x00000000u)

/* Word 7 */

#define CSL_RD_LTE_HDR_WORD7_HARQOUTPUTADDRESS_MASK (0xFFFFFFFFu)
#define CSL_RD_LTE_HDR_WORD7_HARQOUTPUTADDRESS_SHIFT (0x00000000u)
#define CSL_RD_LTE_HDR_WORD7_HARQOUTPUTADDRESS_RESETVAL (0x00000000u)

#define CSL_RD_LTE_HDR_WORD7_RESETVAL    (0x00000000u)

#endif
