/******************************************************************************
 * FILE PURPOSE: SRIO LLD Test files.
 ******************************************************************************
 * FILE NAME: module.xs
 *
 * DESCRIPTION: 
 *  This file contains the module specification for AIF2 Driver Test
 *
 * Copyright (C) 2009, Texas Instruments, Inc.
 *****************************************************************************/

/* Load the library utility. */
var libUtility = xdc.loadCapsule ("../build/buildlib.xs");

/**************************************************************************
 * FUNCTION NAME : modBuild
 **************************************************************************
 * DESCRIPTION   :
 *  The function is used to add all the example project and source files
 *  to the LLD package.
 **************************************************************************/
function modBuild() 
{
    /* Add all the .c files to the release package. */
    var testFiles = libUtility.listAllFiles (".c", "test");
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];

    /* Add all the .h files to the release package. */
    var testFiles = libUtility.listAllFiles (".h", "test");
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];

    /* Add all the .cfg files to the release package. */
    var testFiles = libUtility.listAllFiles (".cfg", "test");
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];

    /* Add all the .cmd files to the release package. */
    var testFiles = libUtility.listAllFiles (".cmd", "test");
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];

    /* Add all the project definition text files to the package */
	if (aif2LLDPartNumber == "K2")
    {
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/lte/aif2LteCpriK2KTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/lte/aif2LteCpriK2HTestProject.txt";		
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/lte/aif2LteObsaiK2KTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/lte/aif2LteObsaiK2HTestProject.txt";		
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/lte/aif2LteSingleToneK2KTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/lte/aif2LteSingleToneK2HTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/wcdma/aif2WcdmaSingleToneK2KTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/wcdma/aif2WcdmaSingleToneK2HTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/wcdma/aif2WcdmaK2KTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/wcdma/aif2WcdmaK2HTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/cpricheckrf/aif2LteCheckRfK2KTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/cpricheckrf/aif2LteCheckRfK2HTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/cpricheckrf/aif2LteTddCheckRfK2KTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/cpricheckrf/aif2LteTddCheckRfK2HTestProject.txt";		
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/cpricheckrf/aif2WcdmaCheckRfK2KTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/cpricheckrf/aif2WcdmaCheckRfK2HTestProject.txt";	
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/generic/aif2GenericK2KTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/generic/aif2GenericK2HTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/cprifastcm/aif2CpriFastCMK2KTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/cprifastcm/aif2CpriFastCMK2HTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/dualmode/aif2DualModeK2KTestProject.txt"; 
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/dualmode/aif2DualModeK2HTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/multicore/aif2LteMultiCoreK2KTestProject.txt";		
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/multicore/aif2LteMultiCoreK2HTestProject.txt";		
    } else {
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/cpricheckrf/aif2LteCheckRfTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/cpricheckrf/aif2LteTddCheckRfTestProject.txt";		
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/cpricheckrf/aif2WcdmaCheckRfTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/cprifastcm/aif2CpriFastCMTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/dualmode/aif2DualModeTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/generic/aif2GenericTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/lte/aif2LteSingleToneTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/lte/aif2LteCpriTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/lte/aif2LteObsaiTestProject.txt";		
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/wcdma/aif2WcdmaSingleToneTestProject.txt";
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/wcdma/aif2WcdmaTestProject.txt";	
		Pkg.otherFiles[Pkg.otherFiles.length++] = "test/multicore/aif2LteMultiCoreTestProject.txt";
	}
    
    /* Add DSP lib */
    Pkg.otherFiles[Pkg.otherFiles.length++] = "test/utils/dsplib.ae66";
    Pkg.otherFiles[Pkg.otherFiles.length++] = "test/utils/dsplib.ae66e";
	Pkg.otherFiles[Pkg.otherFiles.length++] = "test/utils/mathUtils.lib";
	Pkg.otherFiles[Pkg.otherFiles.length++] = "test/utils/mathUtilse.lib";
}

