/******************************************************************************
 * FILE PURPOSE: PASS Firmware Image  
 ******************************************************************************
 * FILE NAME:   pa15_xxx_pdspx_bin.c
 *
 * DESCRIPTION: PA 1.5 PDSP image
 *
 * REVISION HISTORY:
 *
 *  Copyright (c) Texas Instruments Incorporated 2012-2013
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
#include <ti/drv/pa/fw/pafw.h>



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const uint32_t eg1_pdsp0[] =  {
     0x2100f700,
     0xbabe0700,
     0x03000100,
     0xc907ff00,
     0x911007c0,
     0x1d0f8080,
     0x811007c0,
     0x10d7d794,
     0x69006613,
     0x81182787,
     0x51000808,
     0x91090762,
     0x110f0202,
     0x11c00800,
     0x12000202,
     0x81090762,
     0x111f0800,
     0x81110760,
     0x2400002e,
     0x2f04898e,
     0x24e020e4,
     0x24001864,
     0x108686c5,
     0x10464605,
     0x2f000384,
     0x5103693b,
     0x209e0000,
     0x110f6602,
     0x69010206,
     0xd1076603,
     0x2400002e,
     0x21002400,
     0x2400012e,
     0x21002400,
     0x6905020b,
     0x1046462e,
     0x81186787,
     0x2f04898e,
     0x24e020e4,
     0x24001864,
     0x108686c5,
     0x10464605,
     0x2f000384,
     0x51036929,
     0x209e0000,
     0x6904660f,
     0x81206787,
     0x91080762,
     0x11070202,
     0x09036922,
     0x12220202,
     0x81080762,
     0x2400002e,
     0x2f04898e,
     0x24e020e4,
     0x24000864,
     0x108686c5,
     0x10464605,
     0x2f000384,
     0x209e0000,
     0x69036611,
     0x91090762,
     0x110f0202,
     0x11c06700,
     0x12000202,
     0x81090762,
     0x111f6700,
     0x81110760,
     0x240000e0,
     0x81142780,
     0x0102472e,
     0x2f04898e,
     0x244020e4,
     0x24000064,
     0x2f000384,
     0x51036909,
     0x209e0000,
     0x51066601,
     0x24002104,
     0x1f070e0e,
     0x2f04898e,
     0x2f000384,
     0x51036902,
     0x209e0000,
     0x209e0000,
     0x09047ade,
     0x90defa86,
     0x2e85098e,
     0x2401059e,
     0x21000300,
     0x2400057a,
     0x21005500,
     0x24000d04,
     0x2f000384,
     0xc906b685,
     0x0905399c,
     0x909cac8b,
     0x2eff8593,
     0x24000004,
     0x107878c4,
     0x2f000384,
     0xd100cb04,
     0x24001133,
     0x24000853,
     0x21006c00,
     0x24003333,
     0x010c2c53,
     0x000c5353,
     0x2e808586,
     0x11f06600,
     0x51400004,
     0x51600010,
     0x2400017a,
     0x21005500,
     0x045b86d4,
     0x0053d4d4,
     0xd101cb1f,
     0x10333348,
     0x00538686,
     0x2eff8384,
     0x24005104,
     0x105b5bc4,
     0x24000a85,
     0x2f000384,
     0x24000088,
     0x2f008586,
     0x21009300,
     0x01045353,
     0x11f85353,
     0x1f007373,
     0x10c7c7d4,
     0xd101cb10,
     0x0053c7c7,
     0x0053d4d4,
     0x59283b04,
     0x10333327,
     0x2f008386,
     0x21009300,
     0x2f008386,
     0x24000004,
     0x103b3bc4,
     0x2f000384,
     0x10333366,
     0x2f008006,
     0x043b5bc4,
     0x2f000384,
     0x21009600,
     0x24000004,
     0x105b5bc4,
     0x2f000384,
     0x107b7b13,
     0x1033337b,
     0xd101cb1d,
     0x0053cece,
     0x00531717,
     0x00535858,
     0xd100cb02,
     0x01081818,
     0xc902cb0c,
     0xd10db60e,
     0x0053da80,
     0x708b8009,
     0x1f0db6b6,
     0x11f80b0b,
     0x108b8bda,
     0x048b809a,
     0x005b9a9a,
     0xc9007311,
     0x01109a9a,
     0x2100b800,
     0x0053dada,
     0x10dada9a,
     0x2100b800,
     0x11f80b0b,
     0x00539a9a,
     0x708b9a09,
     0x048b9a9a,
     0x005b9a9a,
     0xc9007306,
     0x01089a9a,
     0x2100b800,
     0x24000104,
     0x105353c4,
     0x2f000184,
     0xc900cb23,
     0x24003304,
     0x24000424,
     0x24000085,
     0x10131365,
     0x0b025345,
     0x05024545,
     0x2f000384,
     0x010c9c80,
     0x90802c85,
     0x2f000384,
     0x05085324,
     0x2f000184,
     0x005b7818,
     0x1f0eb6b6,
     0x11fc3636,
     0x05080c00,
     0x0b020000,
     0x12003636,
     0xc907ff00,
     0x01109c80,
     0x90806c86,
     0x81186786,
     0x83206796,
     0x108d8dc5,
     0x24e020e4,
     0x104d4d05,
     0x24001864,
     0xd103cb03,
     0x2400002e,
     0x2100d800,
     0x2400012e,
     0x2f000384,
     0x2f04898e,
     0x21010500,
     0x24003304,
     0x24000424,
     0x10ccccc5,
     0x108c8c85,
     0x2f000384,
     0x10d4d4c5,
     0x24000085,
     0x2f000384,
     0xc907ff00,
     0x83206796,
     0x2400122e,
     0x2f04898e,
     0x244020e4,
     0x24001864,
     0x2f000384,
     0x21010500,
     0x49ff8407,
     0x69034406,
     0x0905849c,
     0x9310fb86,
     0x829cec86,
     0x240000e5,
     0x2100f300,
     0x240003e5,
     0x81043b85,
     0x2eff8184,
     0x81003b84,
     0x21010c00,
     0x2304479e,
     0x2eff8582,
     0x8104a482,
     0x240001e2,
     0x81002482,
     0xc900ff00,
     0xd100ff00,
     0x24000d7d,
     0x2400005d,
     0x24010082,
     0x240300c2,
     0x81043782,
     0x2eff8780,
     0x8110f780,
     0x91003b84,
     0x51006406,
     0x570164e4,
     0x240002e5,
     0x81043b85,
     0x24000064,
     0x81001b04,
     0xcf04fff9,
     0x91002481,
     0x0101e1e1,
     0x81002481,
     0x2eff8394,
     0x2eff80dd,
     0x2e808f86,
     0x2e84098e,
     0xc90fca04,
     0x24001004,
     0x2f000384,
     0x21013000,
     0x008f8994,
     0x6900c903,
     0x24801e9f,
     0x21012c00,
     0x24000804,
     0x2f000384,
     0x24003104,
     0x24002024,
     0x2f000384,
     0x2f05098e,
     0x2e808b96,
     0x0b057601,
     0x5100013e,
     0x51030179,
     0x5102015f,
     0x51010149,
     0x5106016f,
     0x510701fa,
     0x51050105,
     0x51040103,
     0x1f060e0e,
     0x21013000,
     0x21029a00,
     0x21005c00,
     0xd106ff00,
     0x9110e78a,
     0x2eff8384,
     0x24002004,
     0x24004024,
     0x1d0fcaca,
     0xc9060e07,
     0x1f070e0e,
     0x24002104,
     0x2f04898e,
     0x8110078a,
     0x2f000384,
     0x21010500,
     0xc90eca1b,
     0x1d0ecaca,
     0x8110078a,
     0x24002204,
     0x2f000384,
     0x91082380,
     0x24ffffc0,
     0x0480c080,
     0x91f03381,
     0x108181c0,
     0x1d000e0e,
     0x2f04898e,
     0xc904ff00,
     0x1f000e0e,
     0x2400002e,
     0x2eff8384,
     0x24002004,
     0x2400e024,
     0x108b8bc5,
     0x104b4b05,
     0x10e0e0eb,
     0x10ededec,
     0x10c1c1ed,
     0x2f00878a,
     0x2f000384,
     0x2f04898e,
     0x21010500,
     0x2f04898e,
     0x8110078a,
     0x2f000384,
     0x21010500,
     0x2eff8384,
     0x24002004,
     0x24004024,
     0x2f04898e,
     0x2f000384,
     0x21010500,
     0x5902750c,
     0x2e808586,
     0x240000e2,
     0x51007502,
     0x010ce2e2,
     0x80e2b186,
     0x01017575,
     0x24000104,
     0x24000cc4,
     0x2f000384,
     0xcf0635b6,
     0x2101c900,
     0x24801e9f,
     0x21012200,
     0x2e808586,
     0x24000104,
     0x24000cc4,
     0x2f000384,
     0xd107350f,
     0x2e85098e,
     0x10c7c7d1,
     0x10e8e8f2,
     0x10060691,
     0x1f020e0e,
     0x2f05098e,
     0x24000424,
     0x24003204,
     0x2400ff65,
     0x10262645,
     0x10878785,
     0x2f000384,
     0x1f073535,
     0x21012200,
     0x24801e9f,
     0x21012200,
     0x5904550e,
     0x2e808986,
     0x0b044600,
     0x09020000,
     0x090555c3,
     0x0140c3c3,
     0x8ec3d106,
     0x24000104,
     0x0b0446c4,
     0x0902c4c4,
     0x2f000384,
     0x01015555,
     0xcf063591,
     0x2101c900,
     0x24801e9f,
     0x2e85098e,
     0x1f060e0e,
     0x21013000,
     0x2e808396,
     0x81e07196,
     0x1f033535,
     0x24000104,
     0x240008c4,
     0x2f000384,
     0x21012200,
     0x2e808786,
     0x24000cc4,
     0xc907ff00,
     0xc903661f,
     0x0104c4c4,
     0xc9000902,
     0x1f013535,
     0xc9010903,
     0x1f003535,
     0x10a9a9d4,
     0x11076642,
     0x6907420d,
     0x11f86666,
     0x13006666,
     0x91080762,
     0x11070202,
     0x09036922,
     0x12220202,
     0x81080762,
     0x10020215,
     0x81206787,
     0x240010c4,
     0x1f053535,
     0x2101c100,
     0x91090762,
     0x110f0202,
     0x11c06922,
     0x12220202,
     0x81090762,
     0x111f6922,
     0x81110742,
     0x10696915,
     0x1f043535,
     0x51024202,
     0x81186787,
     0x10e6e6f3,
     0x10e7e7ec,
     0x10e8e8ed,
     0x24000104,
     0x2f000184,
     0xc9046603,
     0x1f063535,
     0x21012200,
     0x23023f9e,
     0x2e85098e,
     0xc901350a,
     0x593c9409,
     0x24001084,
     0x2f000184,
     0x24003384,
     0x0d3c9424,
     0x2f000184,
     0x24003cce,
     0x01013d3d,
     0x24003c94,
     0x2f05098e,
     0xc900350c,
     0x10d4d4d0,
     0x10949490,
     0x910019cf,
     0x01040f00,
     0x111f0000,
     0x68002f03,
     0x2480159f,
     0x2101e200,
     0x01100fc0,
     0x80c03990,
     0x81011960,
     0x51003d11,
     0x91be1390,
     0x103d3d90,
     0x0901d080,
     0x90800f80,
     0xd10ec003,
     0x1f0ec0c0,
     0x80800f80,
     0x910019cf,
     0x01040f00,
     0x111f0000,
     0x68002f03,
     0x2480159f,
     0x2101f300,
     0x01100fc0,
     0x80c03990,
     0x81011960,
     0x2e85098e,
     0xc907ff00,
     0x1107732e,
     0x71022e02,
     0x01112e2e,
     0x2eff8384,
     0x24002004,
     0x2400e024,
     0x109393c5,
     0x10535305,
     0xc9053502,
     0x24000864,
     0xc9033521,
     0x91e07196,
     0x24002204,
     0x2f000384,
     0x91082380,
     0x24ffffc0,
     0x0480c080,
     0x91f03381,
     0x108181c0,
     0x1d000e0e,
     0x2f04898e,
     0xc904ff00,
     0x1f000e0e,
     0x2400002e,
     0x10e0e0eb,
     0x10f7f7ec,
     0x10c1c1ed,
     0x2f00858b,
     0x24000c04,
     0x2f000384,
     0x24000004,
     0x240001c4,
     0x2f000184,
     0x24001104,
     0x2f000384,
     0x1f000e0e,
     0x2400018f,
     0x240000ce,
     0x2eff8384,
     0x24002004,
     0x2400e024,
     0x109696c5,
     0x10565605,
     0x2f000384,
     0x2f04898e,
     0x21010500,
     0x24000104,
     0x240004c4,
     0x2f000184,
     0x111f7601,
     0x511f0103,
     0x550001fa,
     0x21012200,
     0x24001004,
     0x2f000384,
     0x2e85098e,
     0x24004304,
     0x58ce9603,
     0x109696c4,
     0x21023200,
     0x048f96c4,
     0x10565624,
     0x10f2f2e5,
     0x2f000384,
     0x1d020e0e,
     0xc907ff00,
     0x2eff8384,
     0x24002004,
     0x24004024,
     0x9110e78a,
     0x21013d00,
     0x2f000384,
     0x2f04898e,
     0x21010500,
     0x24000c04,
     0x2f000384,
     0x24000082,
     0x2e85098e,
     0x5100752b,
     0x9100b186,
     0x24000004,
     0x100606c4,
     0x2f000384,
     0x10c4c482,
     0x24005104,
     0x00c706c2,
     0x70cec205,
     0x048fc7c4,
     0x00cfc8c5,
     0x0300c5c5,
     0x21025200,
     0x10c7c7c4,
     0x10c8c8c5,
     0x10878785,
     0x0b074624,
     0x2f000384,
     0x71017519,
     0x910cb186,
     0x58820604,
     0x24801e9f,
     0x1f060e0e,
     0x21013000,
     0x24000004,
     0x048206c4,
     0x00c48282,
     0x2f000384,
     0x24005304,
     0x00c706c2,
     0x70cec205,
     0x048fc7c4,
     0x00cfc8c5,
     0x0300c5c5,
     0x21026800,
     0x10c7c7c4,
     0x10c8c8c5,
     0x10878785,
     0x0b074624,
     0x2f000384,
     0x10878785,
     0x0b074624,
     0x2f000384,
     0x51005524,
     0x24000003,
     0x24004023,
     0x24104480,
     0x24fff8c0,
     0x7003551f,
     0x90233186,
     0x58828604,
     0x24801e9f,
     0x1f060e0e,
     0x21013000,
     0x24000004,
     0x048286c4,
     0x00c48282,
     0x2f000384,
     0xc9034608,
     0x24000104,
     0x111f66c4,
     0x2f000384,
     0x00c48282,
     0x04c49494,
     0x48ce8602,
     0x04c41d1d,
     0xd1024609,
     0x24003704,
     0x111f6624,
     0x240000c4,
     0x10e0e0e5,
     0x2f000384,
     0x00249494,
     0x48ce8602,
     0x00241d1d,
     0x01010303,
     0x01202323,
     0x0120e0e0,
     0x21027300,
     0x24000083,
     0xc9071d02,
     0x2400ff23,
     0x101d1d03,
     0x0083cece,
     0x00839494,
     0x2f05098e,
     0x209e0000,
     0x21029b00,
     0x2eff8b96,
     0x05108980,
     0x24000d04,
     0x2f000384,
     0x2e808986,
     0xc907ff00,
     0x10e9e9fa,
     0x51ce0703,
     0x1f077b7b,
     0x2102d300,
     0x51006602,
     0x2102d300,
     0x51004606,
     0x05014646,
     0x2f008026,
     0x2400045b,
     0x1f057b7b,
     0x2102d300,
     0x81182788,
     0x2f05098e,
     0x1f067b7b,
     0x69642711,
     0x1f037b7b,
     0x24000004,
     0x5100c705,
     0x0510c7c4,
     0x2f000384,
     0x2e80818a,
     0x04c48080,
     0x240004c4,
     0x2f000384,
     0x05048080,
     0x106a6a27,
     0x51004a05,
     0x104a4a99,
     0x2400045b,
     0x1f057b7b,
     0x1f047b7b,
     0x5101270e,
     0x5102270e,
     0x5103270e,
     0x5104270e,
     0x510627bd,
     0x510c278a,
     0x510a27bf,
     0x510827bb,
     0x510b27bb,
     0x510927bb,
     0x5105273e,
     0x24000286,
     0x2f0080c6,
     0x2102d300,
     0x21044400,
     0x21044400,
     0x21043d00,
     0x21044400,
     0xc9067b02,
     0x2e85098e,
     0xc9047b08,
     0x240010e4,
     0x2f000184,
     0x24004304,
     0x240002c4,
     0x24000424,
     0x10f9f9e5,
     0x2f000384,
     0x24002004,
     0x24004024,
     0x105b5b64,
     0x2400002e,
     0xc9077b06,
     0x911007c1,
     0x1f0f8181,
     0x811007c1,
     0x1f060e0e,
     0x2102fd00,
     0xc9057b04,
     0x24008000,
     0x81200760,
     0x2102ee00,
     0x911007c1,
     0x1f0f8181,
     0x811007c1,
     0x91082481,
     0x0101e1e1,
     0x81082481,
     0x51003a03,
     0x1f060e0e,
     0x2102fd00,
     0x8112079a,
     0x101a1a05,
     0x13202424,
     0x2f04898e,
     0x9110078a,
     0x1d0fcaca,
     0x8110078a,
     0x2f000384,
     0x21010500,
     0x910c2481,
     0x0101e1e1,
     0x810c2481,
     0x9110078a,
     0x1d0fcaca,
     0xc9060e03,
     0x1f070e0e,
     0x24002104,
     0x8110078a,
     0x2f04898e,
     0x2f000384,
     0x21010500,
     0x59348004,
     0x24001086,
     0x2f0080c6,
     0x2102d300,
     0x24000086,
     0x2f0080c6,
     0x2e80878a,
     0x24000004,
     0x240020c4,
     0x2f000384,
     0x2e808f8e,
     0x24ff00c2,
     0xc900ca02,
     0x81a0338b,
     0xc901ca05,
     0x81a4338c,
     0x24000161,
     0x24002082,
     0xe1042281,
     0xc902ca05,
     0x81a8338d,
     0x24000161,
     0x24006082,
     0xe1042281,
     0xc903ca02,
     0x81ac338e,
     0xc904ca02,
     0x81b0338f,
     0xc905ca02,
     0x81b43390,
     0xc906ca15,
     0x81bc3392,
     0x240100c1,
     0x24000081,
     0xc9007102,
     0x1f070101,
     0xc9027102,
     0x1f060101,
     0x24000082,
     0xe10c2281,
     0x24000081,
     0xc9017102,
     0x1f070101,
     0xc9037102,
     0x1f060101,
     0xc9047102,
     0x1f050101,
     0x24002082,
     0xe10c2281,
     0x24006082,
     0xe10c2281,
     0xc907ca02,
     0x81c03393,
     0xc908ca02,
     0x81c43394,
     0xc909ca06,
     0x240200c1,
     0x10757501,
     0x10555521,
     0x24001082,
     0xe10c2281,
     0xc90aca09,
     0x240020c4,
     0x2f000184,
     0x2e80818e,
     0x240200c1,
     0x106e6e01,
     0x104e4e21,
     0x24005082,
     0xe10c2281,
     0x2102d300,
     0x24000086,
     0x2f0080c6,
     0x2e80838a,
     0x24000004,
     0x69006a09,
     0x2400b8c0,
     0x58c08004,
     0x24001086,
     0x2f0080c6,
     0x2102d300,
     0x240018c4,
     0x2f000384,
     0x21037800,
     0x240014c4,
     0x2f000384,
     0x69016a13,
     0x592c8002,
     0x21037500,
     0x2e80838e,
     0x71046e04,
     0x240011d9,
     0x1f047b7b,
     0x2102d300,
     0x09056e81,
     0x09036ec1,
     0x00c18181,
     0x01008181,
     0x8081738e,
     0x240008c4,
     0x2f000384,
     0x2e808f8e,
     0x01088181,
     0x8281f38e,
     0x2102d300,
     0x240002d9,
     0x1f047b7b,
     0x2102d300,
     0x240010d9,
     0x1f047b7b,
     0x2102d300,
     0x240000e1,
     0x240010c4,
     0x2e80878e,
     0x2f000384,
     0xc801eb02,
     0x80c1fa8e,
     0x01010101,
     0x0110c1c1,
     0x670b01fa,
     0x2102d300,
     0x2102d300,
     0x2102d300,
     0x2102d300,
     0x2102d300,
     0x2102d300,
     0xc907ff00,
     0x911007ca,
     0x1d0f8a8a,
     0x811007ca,
     0x10d7d794,
     0x24000f42,
     0x69026618,
     0x5100470c,
     0x912607c1,
     0x11032121,
     0x09022741,
     0x12412121,
     0x11c00101,
     0x51014703,
     0x24001641,
     0x21039800,
     0x24000d41,
     0x12410101,
     0x812607c1,
     0xc9000704,
     0x912107b6,
     0x1f01b6b6,
     0x812107b6,
     0x1067672e,
     0x2f04898e,
     0x244020e4,
     0x24001864,
     0x2f000384,
     0x5103698f,
     0x209e0000,
     0x6900663b,
     0x81182787,
     0x51000808,
     0x91090762,
     0x110f0202,
     0x11c00800,
     0x12000202,
     0x81090762,
     0x111f0800,
     0x81110760,
     0xc9076809,
     0x0b069722,
     0x110f2222,
     0x5100220d,
     0x05012222,
     0x00228686,
     0xc901680a,
     0x00224646,
     0x2103bf00,
     0xc9026804,
     0x0b057a02,
     0x00028686,
     0x24000042,
     0xc9016803,
     0x003a8686,
     0x24000042,
     0x81340758,
     0x2400002e,
     0x51016963,
     0x51046962,
     0x69026907,
     0x10494924,
     0x24003004,
     0x108989c5,
     0x2f000384,
     0x0049d7d7,
     0x81240797,
     0xd1006809,
     0x2f04898e,
     0x24e020e4,
     0x24001864,
     0x108686c5,
     0x10464605,
     0x2f000384,
     0x51036961,
     0x209e0000,
     0x13a07676,
     0x1f07b6b6,
     0x11033737,
     0x09024803,
     0x12033737,
     0x81206796,
     0x24000f2e,
     0x2f04898e,
     0x244020e4,
     0x24001864,
     0x2f000384,
     0x51036954,
     0x209e0000,
     0x110f6602,
     0x69010206,
     0xd1076603,
     0x2400002e,
     0x2103e900,
     0x2400012e,
     0x2103e900,
     0x69050214,
     0x1046462e,
     0x81186787,
     0x5101693a,
     0x51046939,
     0x69026907,
     0x10494924,
     0x24003004,
     0x108989c5,
     0x2f000384,
     0x0049d7d7,
     0x81240797,
     0x2f04898e,
     0x24e020e4,
     0x24001864,
     0x108686c5,
     0x10464605,
     0x2f000384,
     0x51036939,
     0x209e0000,
     0x6904660f,
     0x81206787,
     0x91080762,
     0x11070202,
     0x09036922,
     0x12220202,
     0x81080762,
     0x2400002e,
     0x2f04898e,
     0x24e020e4,
     0x24000864,
     0x108686c5,
     0x10464605,
     0x2f000384,
     0x209e0000,
     0x69036611,
     0x91090762,
     0x110f0202,
     0x11c06700,
     0x12000202,
     0x81090762,
     0x111f6700,
     0x81110760,
     0x240000e0,
     0x81142780,
     0x0102472e,
     0x2f04898e,
     0x244020e4,
     0x24000064,
     0x2f000384,
     0x51036919,
     0x209e0000,
     0x51066602,
     0x2480159f,
     0x1083839f,
     0x24002104,
     0x1f070e0e,
     0x2f04898e,
     0x2f000384,
     0x51036910,
     0x209e0000,
     0x13a07676,
     0x1f06b6b6,
     0x81202716,
     0x81340729,
     0x8135074e,
     0x810b0726,
     0x811207c6,
     0x1042422e,
     0x2f04898e,
     0x244020e4,
     0x24001864,
     0x2f000384,
     0x51046902,
     0x209e0000,
     0x108989d4,
     0x91001993,
     0x01045301,
     0x111f0101,
     0x68017303,
     0x2480159f,
     0x209e0000,
     0x011053c1,
     0x80c13994,
     0x81011961,
     0x209e0000,
     0x2e80858a,
     0xc9022a06,
     0x24000082,
     0x24ff00c2,
     0x240000e1,
     0xe1742281,
     0x2102d300,
     0x24000c86,
     0x2f0080c6,
     0x2102d300,
     0x2eff8384,
     0x81007b84,
     0x209e0000 };

const int eg1_pdsp0Size = sizeof(eg1_pdsp0);
