/*  (C) Copyright 2009-2014 Texas Instruments, Inc.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef QMSS_SRIORTR_BE_H_
#define QMSS_SRIORTR_BE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int sriortr_be[] =  {
     0x21000300,
     0x81000001,
     0x01000000,
     0x240000e0,
     0x81002280,
     0x240064e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x242000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02981,
     0x6f00e0fe,
     0x24000181,
     0x248100c1,
     0x24000082,
     0x240100c2,
     0x240004e0,
     0x80e06981,
     0x2eff8582,
     0x24000743,
     0x24000363,
     0x24000f64,
     0x2401c084,
     0x24000023,
     0x24001ce0,
     0x90e0699c,
     0x501c1d0b,
     0x09041de2,
     0x121de2e2,
     0x0904e2e2,
     0x121de2e2,
     0x0904e2e2,
     0x121de2e2,
     0x0904e2e2,
     0x121de2e2,
     0x101d1d1c,
     0x80e0299c,
     0x24002ce0,
     0x90e06985,
     0x10e26474,
     0x27017419,
     0x5120190c,
     0x2300da9e,
     0x1c197474,
     0x570039fc,
     0x001984fd,
     0x0019fdfd,
     0x0108fdfd,
     0x90fd09dc,
     0x00869c9c,
     0x80fd09dc,
     0x1c196464,
     0x21002a00,
     0x0b0585fa,
     0x0902fafa,
     0x90fa2593,
     0x111f857d,
     0x0a7df3f3,
     0x10e2f3f3,
     0x2701f35d,
     0x51205d81,
     0x24000123,
     0x610c5d0f,
     0x1c5df3f3,
     0x005d85d8,
     0x050c5d19,
     0x24009498,
     0x240100d9,
     0x2300c59e,
     0x570039f6,
     0x001984fa,
     0x0019fafa,
     0x90fa09dd,
     0x00869d9d,
     0x80fa09dd,
     0x1e190303,
     0x21003d00,
     0x61085d13,
     0x05085d19,
     0x2400b498,
     0x240120d9,
     0x1c5df3f3,
     0x005d85d8,
     0x2300c59e,
     0x570039e7,
     0x001984fa,
     0x0019fafa,
     0x0108fafa,
     0x90fa09dd,
     0x05019d9d,
     0x80fa09dd,
     0x51009d03,
     0xd11f9d02,
     0x21003d00,
     0x1e196464,
     0x21003d00,
     0x61045d49,
     0x01014343,
     0x69084302,
     0x24000443,
     0xce43f3fd,
     0x1c43f3f3,
     0x05044374,
     0x004385d6,
     0x0904d6d6,
     0x0108d6d6,
     0x90d66697,
     0x5700f8d0,
     0x10f8f8f9,
     0x11f01919,
     0x0110f9fa,
     0xf1003a9a,
     0xf1003a9a,
     0x101a1a95,
     0x0b03957d,
     0x09027d7d,
     0x2401309d,
     0x007d9d9d,
     0x909d299a,
     0x1107957d,
     0x09027d7d,
     0x0a7dfafa,
     0x1103fa54,
     0x1104fa34,
     0x69003405,
     0xd0540304,
     0x1f1ff7f7,
     0x80d66697,
     0x21003d00,
     0x2401b09d,
     0x0902547d,
     0x007d9d9d,
     0x909d699b,
     0x10fbfb95,
     0x0120f9fa,
     0xf1043a9c,
     0x24001cdc,
     0x1d00fcfc,
     0x51003402,
     0x1f00fcfc,
     0xe1007a9b,
     0x0904749d,
     0x0902547d,
     0x007d9d9d,
     0x01349d9d,
     0x909d299a,
     0x10fafa96,
     0x090496fa,
     0x0108fafa,
     0x80fa6697,
     0x0902549d,
     0x01e09d9d,
     0x909d299a,
     0x0101fafa,
     0x809d299a,
     0x0902749d,
     0x01d09d9d,
     0x909d299a,
     0x0101fafa,
     0x809d299a,
     0x6f00349b,
     0x005484fa,
     0x0054fafa,
     0x90fa09dd,
     0x05019d9d,
     0x80fa09dd,
     0x69009d02,
     0x1c540303,
     0x21003d00,
     0x01016363,
     0x69046302,
     0x24000063,
     0xce63f3fd,
     0x1c63f3f3,
     0xce63038d,
     0x006385d8,
     0x10636319,
     0x24007498,
     0x240110d9,
     0x2300c59e,
     0x57003987,
     0x001984fa,
     0x0019fafa,
     0x90fa09dd,
     0x05019d9d,
     0x80fa09dd,
     0x6f009d81,
     0x1c190303,
     0x21003d00,
     0x6f00235a,
     0xc91fff00,
     0x1f1fffff,
     0xc91fff00,
     0x1f1fffff,
     0x21001900,
     0x0904d8f5,
     0x0108f5f5,
     0x90f56696,
     0x6900f703,
     0x24000039,
     0x209e0000,
     0x11f01717,
     0x13021717,
     0x090219f5,
     0x0098f5f5,
     0x90f52995,
     0x0904f5f5,
     0x0108f5f5,
     0x80f56696,
     0x24000139,
     0x090219f5,
     0x00d9f5f5,
     0x90f52997,
     0x0101f7f7,
     0x80f52997,
     0x209e0000,
     0x109e9ede,
     0x090219fd,
     0x01a4fdfd,
     0x90fd299d,
     0x10fdfdd8,
     0x2400f0d9,
     0x24008498,
     0x2300c59e,
     0x10dede9e,
     0x209e0000 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_SRIORTR_BE_H_ */

