/******************************************************************************
 * FILE PURPOSE: Fault Management Source module specification file.
 ******************************************************************************
 * FILE NAME: module.xs
 *
 * DESCRIPTION: 
 *  This file contains the module specification for the Fault Management source directory.
 *
 * Copyright (C) 2012 Texas Instruments, Inc.
 *****************************************************************************/

/* Load the library utility. */
var libUtility = xdc.loadCapsule ("../build/buildlib.xs");

var fault_mgmtLibFiles = [
                    "src/fault_mgmt.c",
                    ];

/**************************************************************************
 * FUNCTION NAME : modBuild
 **************************************************************************
 * DESCRIPTION   :
 *  The function is used to build all the components of the Fault
 *  Management library
 **************************************************************************/
function modBuild() 
{
    /* Build the libraries for all the targets specified. */
	for each(var k = 1; k < devices.length; k++)
    {
        /* Build the libraries for all the targets specified. */
		for (var targets=0; targets < Build.targets.length; targets++)
		{
			var libOptions = {
				copts: devicesCCOpt[k],
				incs: fault_mgmtlibIncludePath, 
			};
        libUtility.buildLibrary (devices[k], libOptions, Pkg.name, Build.targets[targets], fault_mgmtLibFiles);
        
		}
	}

    /* Add all the .c files to the release package. */
    var testFiles = libUtility.listAllFiles (".c", "src", true);
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];

    /* Add all the .h files to the release package. */
    var testFiles = libUtility.listAllFiles (".h", "src", true);
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];
}
